#
# spec file for package ibp (Version 0.20)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  xf86

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils expat fontconfig fontconfig-devel gcc gdbm gettext libtool perl rpm xorg-x11 xorg-x11-devel xorg-x11-libs

Name:         ibp
License:      GPL
Group:        Productivity/Hamradio/Other
#Requires:     
Autoreqprov:  on
Version:      0.20
Release:      642
Source0:      %{name}-%{version}.tgz
Patch:        %{name}-%{version}.dif
Url:          http://wwwhome.cs.utwente.nl/~ptdeboer/ham/ibp.html
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      Monitoring the International Beacon Project
#Obsoletes:    

%description
This program continuously shows which beacon of the International
Beacon Project (on the HF bands from 14 through 28 MHz) is currently
transmitting. On X11 systems, it can also show a sunclock-like map with
the short and long paths to the active beacons.



Authors:
--------
    Pieter-Tjerk de Boer, PA3FWM <pa3fwm@amsat.org>

%debug_package
%prep
%setup
%patch
%{?suse_update_config:%{suse_update_config}}

%build
xmkmf
export CFLAGS="$RPM_OPT_FLAGS"
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1
install -m 644 ibp.1 $RPM_BUILD_ROOT/usr/share/man/man1/
 

%clean
rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%doc COPYING README.SuSE
%doc %{_mandir}/man1/ibp.1.gz
/usr/X11R6/bin/ibp

%changelog -n ibp
* Sun Jan 11 2004 - adrian@suse.de
- fix build as user
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Mon Jun 25 2001 - jreuter@suse.de
- GCC 3.0 defines printf() as a macro. Great.
  Splitted one large printf() into multiple smaller to let it compile
  again with gcc 3.0
* Mon Jun 25 2001 - jreuter@suse.de
- fixed Imakefile
* Fri Jan 05 2001 - ka@suse.de
- initial release 0.20
